@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap");

/*transition js*/

[class*="reveal"] {
  opacity: 0;
  transform: translateY(-30px);
}
/* base */

.reveal-visible {
  opacity: 1;
  transform: translateY(0);
  transition: 1s cubic-bezier(0.5, 0, 0, 1);
}

.reveal-1 {
  transition-delay: 0.1s;
}

.reveal-2 {
  transition-delay: 0.2s;
}

.reveal-3 {
  transition-delay: 0.3s;
}

.reveal-4 {
  transition-delay: 0.4s;
}

/*site*/
* {
  font-family: Montserrat;
  list-style: none;
  text-decoration: none;
}

body {
  margin: 0;
}

.trait-plus {
  margin-top: 100px;
}

img.header-logo-img {
  width: 105px;
}

section.top-page {
  background: linear-gradient(90deg, orange, yellow);
  padding: 10px;
}

.voter a {
  float: right;
  position: absolute;
  right: 0;
  margin-right: 50px;
  background-color: orange;
  border-radius: 40px;
  padding: 10px 15px;
}

.voter:hover a {
  font-size: 23px;
  margin-right: 30px;
  transition: 0.3s;
}

.animated-voter a {
  transition-property: font-size, margin-right;
  transition-duration: 0.3s;
}

/*bouton invite*/

.button {
  background-color: orange;
  padding: 10px 10px;
  cursor: pointer;
  border: none;
  color: white;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  border-radius: 15px;
  margin-top: 20px;
}

.animated {
  transition-property: margin-top, margin-bottom, font-size, color,
    background-color;
  transition-duration: 0.3s;
}

.button:hover {
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 18px;
  color: gray;
  transition: 0.3s;
}

/*haut page*/

section.pricipale-page {
  margin-top: 30px;
}

img.fond-screen {
  text-align: center;
  margin: auto;
  display: flex;
}

img.fond-screen-m {
  display: none;
}

header.header {
  display: flex;
  align-items: center;
  width: 90;
}

.btn-topgg {
  background-color: orange;
  position: absolute;
  right: 0;
  margin-right: 40px;
  border-radius: 15px;
  padding: 10px 15px;
}

.btn-topgg:hover {
  padding: 10px 50px;
  transition: 0.3s;
}

.btn-topgg-animated {
  transition-property: padding;
  transition-duration: 0.5s;
}

/*footer*/

footer {
  color: #2e4053;
  font-size: 25px;
  margin: 20px;
  margin-top: 100px;
  background-color: orange;
  border-radius: 20px;
}

section.footer {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.navigation,
.contact {
  display: flex;
  flex-direction: column;
  margin-left: 30px;
}

div.developppment {
  padding: 0px;
}

a {
  color: #2e4053;
  display: inline;
}

/* menue de navigation */

nav.nav {
  display: flex;
  justify-content: space-evenly;
  list-style: none;
  margin-left: 50px;
  width: 600px;
}

nav.nav li a {
  color: white;
  font-size: 20px;
}

div.div-invite {
  height: 80px;
}
li.anim::after {
  content: "";
  display: block;
  position: absolute;
  width: 0%;
  height: 3px;
  background-color: white;
  transition: width 0.3s ease-in-out;
  border-radius: 3px;
}

li.anim:hover::after {
  width: 100%;
}
/*info*/

.atout {
  display: flex;
  justify-content: space-around;
}

.fun {
  display: flex;
  flex-direction: column;
  color: gray;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.fun:hover {
  color: orange;
  transition: 0.3s;
  font-size: 20px;
}

.animated-fun {
  transition-property: color, background, font-size;
  transition-duration: 0.3s;
}

.details {
  font-weight: 600;
  width: 200;
  text-align: center;
}

img.trait {
  margin-top: 50px;
  border-radius: 10px;
  color: orange;
}

/*Team */

.img-profil {
  margin-top: 30px;
  border-radius: 100px;
  border: 2px solid orange;
}

.team {
  display: flex;
  justify-content: space-around;
}

.hugo {
  flex-direction: column;
  color: gray;
  display: flex;
  align-items: center;
}

div.hugo {
  display: flex;
  border-width: 2px;
  border-radius: 10px;
  color: orange;
  background-color: #1c2833;
  padding: 20px 50px;
  box-shadow: 8px 8px 10px 0 rgba(0, 0, 0, 0.5);
}

.role_mbr-staff {
  font-size: 15px;
  color: gray;
}

/*animations staff*/

div.hugo:hover {
  padding: 30px 60px;
  transition: 0.3s;
}

.animation-staff {
  transition-property: padding;
  transition: 0.3s;
}

/*histoire*/

div.histoire {
  background-color: #1c2833;
  color: gray;
  border-radius: 10px;
  border-width: 2px;
  box-shadow: 8px 8px 10px 0 rgba(0, 0, 0, 0.5);
  margin-right: 50px;
  margin-left: 50px;
  font-size: 15px;
  padding: 5px 20px;
}

/*aniamtion histoire*/

div.histoire:hover {
  padding: 10px 0px;
  transition: 0.3s;
}

.animated-histoire {
  transition-property: padding;
  transition: 0.3s;
}
/*Responsive disign*/

@media (orientation: portrait) {
  /*nav*/

  nav.nav li {
    font-size: 40px;
  }

  nav.nav {
    width: 750px;
  }

  nav.nav li a {
    font-size: 35px;
  }
  /*img fond screnn*/

  img.fond-screen {
    display: none;
  }

  img.fond-screen-m {
    display: block;
    width: 900px;
  }

  /*bouton*/

  .button {
    font-size: 40px;
    border-radius: 34px;
    padding: 17px;
  }

  /*footer*/

  section.footer {
    flex-direction: column;
    font-size: 50px;
    align-items: baseline;
  }

  div.image {
    display: none;
  }

  div.contact,
  div.navigation,
  div.developppment {
    margin-left: 10%;
  }

  p.footer-p{
    margin-top: 50px;
    font-size: 20px;
  }

  /*atout*/

  .atout {
    display: flex;
    flex-direction: column;
    font-size: 40px;
  }

  h1.t-atout {
    font-size: 60px;
  }

  .animation {
    width: 200px;
  }

  /*team*/

  section.team {
    display: flex;
    flex-direction: column;
    font-size: 50px;
    padding: 100px;
  }

  div.hugo {
    margin-top: 50px;
  }

  .role_mbr-staff {
    font-size: 40px;
  }

  .img-profil {
    width: 200px;
    border: 5px solid orange;
  }

  h1.t-team {
    font-size: 60px;
  }

  /*histoire*/

  h1.t-histoire {
    font-size: 60px;
  }

  .btn-topgg {
    margin-top: 115px;
    border-radius: 25px;
    padding: 10px 20px;
  }
}
